Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1037443 (libqtxdg) - Review Request: libqtxdg - Qt implementation of desktop specifications
Summary: Review Request: libqtxdg - Qt implementation of desktop specifications
Keywords:
Status: CLOSED NEXTRELEASE
Alias: libqtxdg
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Christopher Meng
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: qt-reviews
TreeView+ depends on / blocked
 
Reported: 2013-12-03 07:44 UTC by Lubomir Rintel
Modified: 2014-01-04 10:49 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-01-04 10:49:58 UTC
i: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Lubomir Rintel 2013-12-03 07:44:47 UTC
SPEC: http://v3.sk/~lkundrak/SPECS/libqtxdg.spec
SRPM: http://v3.sk/~lkundrak/SRPMS/libqtxdg-0.5.0-1.20131113gitf27fc3f.fc20.src.rpm

Description:

Implementations of freedesktop.org XDG specifications from LXDE project for use 
with Qt library.

Comment 1 Björn 'besser82' Esser 2013-12-12 12:15:12 UTC
Taken  ;)

Comment 2 Lubomir Rintel 2014-01-02 09:54:00 UTC
Ping?

Comment 3 Christopher Meng 2014-01-02 10:24:36 UTC
He has taken too many but no review still for months, and I will take this.

Comment 4 Michael Schwendt 2014-01-03 11:45:09 UTC
Well, after Lubomir's "ping" you should/could have waited a bit more, at least, following the existing policy for cases like this:

https://fedoraproject.org/wiki/Policy_for_stalled_package_reviews#Reviewer_not_responding

Comment 5 Christopher Meng 2014-01-03 11:59:05 UTC
(In reply to Michael Schwendt from comment #4)
> Well, after Lubomir's "ping" you should/could have waited a bit more, at
> least, following the existing policy for cases like this:
> 
> https://fedoraproject.org/wiki/
> Policy_for_stalled_package_reviews#Reviewer_not_responding

Well, see bug 967782. I don't want to explain anymore on this.

Comment 6 Christopher Meng 2014-01-03 12:17:40 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated




===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Header files in -devel subpackage, if present.
[x]: ldconfig called in %post and %postun if required.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.
[x]: Development (unversioned) .so files in -devel subpackage, if present.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "LGPL (v2.1 or later)", "Unknown or generated". 5 files have unknown
     license. Detailed output of licensecheck:

LGPL (v2.1 or later)
--------------------
libqtxdg/xdgaction.cpp
libqtxdg/xdgaction.h
libqtxdg/xdgautostart.cpp
libqtxdg/xdgautostart.h
libqtxdg/xdgdesktopfile.cpp
libqtxdg/xdgdesktopfile.h
libqtxdg/xdgdirs.cpp
libqtxdg/xdgdirs.h
libqtxdg/xdgicon.cpp
libqtxdg/xdgicon.h
libqtxdg/xdgmenu.cpp
libqtxdg/xdgmenu.h
libqtxdg/xdgmenu_p.h
libqtxdg/xdgmenuapplinkprocessor.cpp
libqtxdg/xdgmenuapplinkprocessor.h
libqtxdg/xdgmenulayoutprocessor.cpp
libqtxdg/xdgmenulayoutprocessor.h
libqtxdg/xdgmenureader.cpp
libqtxdg/xdgmenureader.h
libqtxdg/xdgmenurules.cpp
libqtxdg/xdgmenurules.h
libqtxdg/xdgmenuwidget.cpp
libqtxdg/xdgmenuwidget.h
libqtxdg/xdgmime.cpp
libqtxdg/xdgmime.h
libqtxdg/xmlhelper.cpp
libqtxdg/xmlhelper.h

Unknown or generated
--------------------
libqtxdg/examples/use-qtxdg/main.cpp
libqtxdg/qiconfix/qiconloader.cpp
libqtxdg/qiconfix/qiconloader_p.h
libqtxdg/test/qtxdg_test.cpp
libqtxdg/test/qtxdg_test.h

[x]: License file installed when any subpackage combination is installed.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[x]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 30720 bytes in 2 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[x]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in libqtxdg-
     qt5 , libqtxdg-qt5-devel
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Scriptlets must be sane, if used.
[x]: SourceX tarball generation or download is documented.
     Note: Package contains tarball without URL, check comments
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Uses parallel make %{?_smp_mflags} macro.
[x]: The placement of pkgconfig(.pc) files are correct.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.


Rpmlint
-------
Checking: libqtxdg-qt5-0.5.0-1.20131113gitf27fc3f.fc21.i686.rpm
          libqtxdg-qt5-devel-0.5.0-1.20131113gitf27fc3f.fc21.i686.rpm
          libqtxdg-0.5.0-1.20131113gitf27fc3f.fc21.src.rpm
libqtxdg-qt5.i686: W: spelling-error %description -l en_US freedesktop -> free desktop, free-desktop, desktop
libqtxdg-qt5-devel.i686: W: no-documentation
libqtxdg.src: W: spelling-error %description -l en_US freedesktop -> free desktop, free-desktop, desktop
libqtxdg.src: W: invalid-url Source0: libqtxdg.tar.gz
3 packages and 0 specfiles checked; 0 errors, 4 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint libqtxdg-qt5-devel libqtxdg-qt5
libqtxdg-qt5-devel.i686: W: no-documentation
libqtxdg-qt5.i686: W: spelling-error %description -l en_US freedesktop -> free desktop, free-desktop, desktop
libqtxdg-qt5.i686: W: unused-direct-shlib-dependency /usr/lib/libQt5Xdg.so.0.5.0 /lib/libm.so.6
2 packages and 0 specfiles checked; 0 errors, 3 warnings.
# echo 'rpmlint-done:'



Requires
--------
libqtxdg-qt5-devel (rpmlib, GLIBC filtered):
    /usr/bin/pkg-config
    cmake
    libQt5Xdg.so.0
    libqtxdg-qt5(x86-32)
    pkgconfig
    pkgconfig(Qt5Core)
    pkgconfig(Qt5Xml)

libqtxdg-qt5 (rpmlib, GLIBC filtered):
    /sbin/ldconfig
    libQt5Core.so.5
    libQt5Gui.so.5
    libQt5Widgets.so.5
    libQt5Xml.so.5
    libc.so.6
    libgcc_s.so.1
    libgcc_s.so.1(GCC_3.0)
    libm.so.6
    libmagic.so.1
    libstdc++.so.6
    libstdc++.so.6(CXXABI_1.3)
    rtld(GNU_HASH)



Provides
--------
libqtxdg-qt5-devel:
    libqtxdg-qt5-devel
    libqtxdg-qt5-devel(x86-32)
    pkgconfig(Qt5Xdg)

libqtxdg-qt5:
    libQt5Xdg.so.0
    libqtxdg-qt5
    libqtxdg-qt5(x86-32)



Generated by fedora-review 0.5.1 (bb9bf27) last change: 2013-12-13
Command line :/bin/fedora-review -rvn libqtxdg-0.5.0-1.20131113gitf27fc3f.fc20.src.rpm
Buildroot used: fedora-rawhide-i386
Active plugins: Generic, Shell-api, C/C++
Disabled plugins: Java, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: BATCH, EPEL5, EXARCH, DISTTAG

----------------------------
qt4 packages are fine also.

PACKAGE APPROVED.

Comment 7 Lubomir Rintel 2014-01-03 19:13:13 UTC
20:09 < besser82> lisca:  I'm fine with Christopher doing the review, so just go on with SCM-req.  ;)

New Package SCM Request
=======================
Package Name: libqtxdg
Short Description: Qt implementation of desktop specifications
Owners: lkundrak cicku
Branches: f19 f20 el6

Comment 8 Björn 'besser82' Esser 2014-01-03 19:15:19 UTC
(In reply to Christopher Meng from comment #5)
> (In reply to Michael Schwendt from comment #4)
> > Well, after Lubomir's "ping" you should/could have waited a bit more, at
> > least, following the existing policy for cases like this:
> > 
> > https://fedoraproject.org/wiki/
> > Policy_for_stalled_package_reviews#Reviewer_not_responding
> 
> Well, see bug 967782. I don't want to explain anymore on this.

I'm absolutely fine with Christopher had taken over and reviewed this.  :D

Comment 9 Gwyn Ciesla 2014-01-03 19:36:33 UTC
Git done (by process-git-requests).

Comment 10 Christopher Meng 2014-01-04 03:07:00 UTC
(In reply to Björn "besser82" Esser from comment #8)

> I'm absolutely fine with Christopher had taken over and reviewed this.  :D

Great. Thanks for your understanding.

Comment 11 Lubomir Rintel 2014-01-04 10:49:58 UTC
Thank you; Imported and built


Note You need to log in before you can comment on or make changes to this bug.